SYD-CHK(1)

# NAME

syd-chk - exit with success if the process is running under syd

# SYNOPSIS

*syd-chk*

# DESCRIPTION

The *syd-chk* utility tries to install a seccomp-notify filter on the _open_(2)
system call and exits with success if the operation fails with the *EBUSY* errno
which indicates the process is running under a seccomp sandbox. Another way to
check for this is to stat the virtual device node */dev/syd* however this will
not work if the sandbox lock is set for the calling process.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5), _seccomp_notify_alloc_(3)

*syd* homepage: https://sydbox.exherbolinux.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be
submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss
in #sydbox on Libera Chat.
